# Delete a value list

Deletes a `ValueList` object, also deleting any items contained within the value list. To be deleted, a value list must not be referenced in any rules.

## Prerequisites

Before you can run the following code snippet, you need to call these APIs with the provided parameters to set up the prerequisite API object(s).

1. createRadarValueList
POST /v1/radar/value_lists {"name":"Custom IP Blocklist","alias":"custom_ip_blocklist","item_type":"ip_address"}

## Request

```curl
curl -X DELETE https://api.stripe.com/v1/radar/value_lists/{{VALUE_LIST_ID}} \
  -u "<<YOUR_SECRET_KEY>>"
```

### Response

```json
{
  "id": "rsl_1MrQSwLkdIwHu7ixWOGS5c8M",
  "object": "radar.value_list",
  "deleted": true
}
```

## Returns

Returns an object with the deleted `ValueList` object’s ID and a deleted parameter on success. Otherwise, this call raises [an error](https://docs.stripe.com/api/radar/value_lists/delete.md#errors).
